Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.flow
Class LineInfo

    java.lang.Object
      org.apache.batik.gvt.flow.LineInfo

    public class LineInfo

extends Object

One line Class Desc Complete Class Desc

Field Summary
`protected static int` | `FULL_ADV`
`protected static int` | `FULL_WORD`

Constructor Summary
`LineInfo(FlowRegions fr, BlockInfo bi, boolean paraStart)`

Method Summary
`boolean` | `addWord(org.apache.batik.gvt.flow.WordInfo wi)`
`boolean` | `assignGlyphGroupRanges(int ggSz, org.apache.batik.gvt.flow.GlyphGroupInfo[] ggis)`
`static org.apache.batik.gvt.flow.GlyphGroupInfo[]` | `assureSize(org.apache.batik.gvt.flow.GlyphGroupInfo[] ggis, int sz)`
`double` | `getCurrentY()`
`boolean` | `gotoY(double y)`
`boolean` | `insertWord(org.apache.batik.gvt.flow.WordInfo wi)`
`void` | `layout()`
`protected void` | `mergeGlyphGroups(org.apache.batik.gvt.flow.WordInfo wi)` This function merges the glyph groups from `wi`` into the glyph groups that are already on this line.`
`boolean` | `setLineHeight(double lh)` This method updates the line height and recalculates the available flow ranges for the line.
`void` | `setParaEnd(boolean paraEnd)`
`protected void` | `swapGlyphGroupInfo()`
`protected boolean` | `updateRangeInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FULL_WORD

    protected static final int FULL_WORD

See Also:
  Constant Field Values

### FULL_ADV

    protected static final int FULL_ADV

See Also:
  Constant Field Values

Constructor Detail

### LineInfo

    public LineInfo(FlowRegions fr,
                    BlockInfo bi,
                    boolean paraStart)

Method Detail

### setParaEnd

    public void setParaEnd(boolean paraEnd)

### addWord

    public boolean addWord(org.apache.batik.gvt.flow.WordInfo wi)

### insertWord

    public boolean insertWord(org.apache.batik.gvt.flow.WordInfo wi)

### assignGlyphGroupRanges

    public boolean assignGlyphGroupRanges(int ggSz,
                                          org.apache.batik.gvt.flow.GlyphGroupInfo[] ggis)

### setLineHeight

    public boolean setLineHeight(double lh)

  This method updates the line height and recalculates the available flow ranges for the line.

### getCurrentY

    public double getCurrentY()

### gotoY

    public boolean gotoY(double y)

### updateRangeInfo

    protected boolean updateRangeInfo()

### swapGlyphGroupInfo

    protected void swapGlyphGroupInfo()

### mergeGlyphGroups

    protected void mergeGlyphGroups(org.apache.batik.gvt.flow.WordInfo wi)

  This function merges the glyph groups from `wi`` into the glyph groups that are already on this line. It does no fit checking, just adds them in the proper place in the `newGGIS` data member.

  `

### layout

    public void layout()

### assureSize

    public static org.apache.batik.gvt.flow.GlyphGroupInfo[] assureSize(org.apache.batik.gvt.flow.GlyphGroupInfo[] ggis,
                                                                        int sz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.